// Shared app columns settings
//
// Example use:
//   # Define grid layout
//   grid-template-columns: app-grid-col('left') app-grid-col('middle') app-grid-col('right');
//   # Apply specific selector to one of the columns
//   grid-column: right;
$columns: (
  'left': 1fr,
  'middle': 5fr,
  'right': 0.5fr
);
$gap: 15px;

@function app-grid-col($id) {
  @return [#{$id}] map-get($columns, $id);
}

@function app-grid-col-size($id) {
  @return map-get($columns, $id);
}

@function app-grid-gap() {
  @return $gap;
}
